Subject: PMP> FW: Some input on the draft-mcdonald-iana-charset-mib-02.txt

From: "McDonald, Ira" <[email-masked]>
Date: Thu, 4 Sep 2003 11:59:19 -0700

Hi folks,

Warning to implementors of Printer MIB v2 - the posted version
of the IANA Charset MIB is incomplete (due to bugs in my utility
program - now corrected - see below).

I removed the 'repaired' IANA Charset MIB attachment before
forwarding this note, because it's very unofficial (although
now correct for all charsets).  Contact me directly.

I'll let the PMP list know when a new 'official' version
is available.

Many thanks to my old cohort Chuck Adams (Xerox) for finding
the footprints of these bugs and pointing them out to me!

Cheers,
- Ira McDonald
  High North Inc

-----Original Message-----
From: McDonald, Ira 
Sent: Thursday, September 04, 2003 12:59 PM
To: 'Adams, Charles A'; McDonald, Ira
Subject: RE: Some input on the draft-mcdonald-iana-charset-mib-02.txt

Hi Chuck,

Bugs (two separate ones) now fixed, generating about 30 more 
entries in the MIB (oops).

Attached is a bootleg copy of the repaired IANA Charset MIB.

We are in discussions with IETF, RFC Editor, and IANA about
whether I'll just republish the base Internet-Draft (they
don't like that, because it's already been IESG-approved)
or IANA and RFC Editor will do the edits and corrections
(messy, but possible).

I'll keep the PMP list posted when anything's resolved.

Cheers,
- Ira McDonald
  High North Inc

-----Original Message-----
From: Adams, Charles A [mailto:[email-masked]]
Sent: Wednesday, August 20, 2003 6:51 PM
To: 'McDonald, Ira'
Subject: RE: Some input on the draft-mcdonald-iana-charset-mib-02.txt

No problem. Thanks for doing this for us.

Chuck Adams
[email-masked]
Common Software Team
Software & Electronics Business Unit/Xerox Office Group
Wilsonville, Oregon
Xerox Corporation

-----Original Message-----
From: McDonald, Ira [mailto:[email-masked]]
Sent: Wednesday, August 20, 2003 1:50 PM
To: 'Adams, Charles A'; McDonald, Ira
Subject: RE: Some input on the draft-mcdonald-iana-charset-mib-02.txt

Hi Chuck,

EEK!  You have discovered a bug in my utility, I should have tried
to test for missed entries (somehow?) before releasing.

Fortunately, the IANA Charset MIB I-D has only recently been approved
by the IETF (yes!) and Michelle (IANA lady) and I are working on the
logistics of her running the tool.  Now I can fix the bug (when I
find it!) and not have egg on my face with Michelle.

Thanks,
- Ira

-----Original Message-----
From: Adams, Charles A [mailto:[email-masked]]
Sent: Wednesday, August 20, 2003 2:41 PM
To: [email-masked]'
Subject: Some input on the draft-mcdonald-iana-charset-mib-02.txt

Ira,

Long time no speak so here is an excuse to find out how things are going.

I was reviewing the charsetmib and noticed the following are missing. Did I
overlook them or would you like me to send you these in the mib format?

The following character sets we support that are in the IANA "CHARACTER SETS
(last updated 2002-09-30)" 
<http://www.iana.org/assignments/character-sets> 

	Name: ISO-8859-15
	MIBenum: 111
	Source: ISO 
	        Please see:
<http://www.iana.org/assignments/charset-reg/ISO-8859-15>
	Alias: ISO_8859-15
	Alias: Latin-9

	Name: IBM00858
	MIBenum: 2089
	Source: IBM See
(http://www.iana.org/assignments/charset-reg/IBM00858)    [Mahdi]
	Alias: CCSID00858
	Alias: CP00858
	Alias: PC-Multilingual-850+euro

	Name: windows-1251
	MIBenum: 2251
	Source: Microsoft
(http://www.iana.org/assignments/charset-reg/windows-1251) [Lazhintseva]
	Alias: None

	Name: windows-1257
	MIBenum: 2257
	Source: Microsoft
(http://www.iana.org/assignments/charset-reg/windows-1257) [Lazhintseva]
	Alias: None

Also there are a couple of HP character sets that we support that might need
to be added to this MIB. How should we handle the following:

	PC1004 - not registered with IANA but part of the HP PCL font set
	Roman9 - not registered with IANA but part of the HP PCL font set

Chuck Adams
[email-masked]
Common Software Team
Software & Electronics Business Unit/Xerox Office Group
Wilsonville, Oregon
Xerox Corporation